#ifndef LISTUPDATEDIALOG_H
#define LISTUPDATEDIALOG_H

#include "certificatelist.h"
#include <QDialog>
/**
 * @file listupdatedialog.h
 * @brief The dialog for certificate selection.
 */

class ListUpdateDialog : public QDialog
{
public:
    /** @brief Create a list update dialog for the listToInstall */
    ListUpdateDialog(QDialog *parent, const CertificateList &listToInstall);

private:
    CertificateList mCertificateList;
    void setupGUI();
};

#endif // LISTUPDATEDIALOG_H
